Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-accessibility
Navigation:
Lists: gentoo-accessibility: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-accessibility@g.o
From: Robyn Dawn Hannigan <sonofthejedi@...>
Subject: Re: speakup and 2.6.37 on gentoo
Date: Sun, 13 Feb 2011 01:28:37 +1300 (NZDT)
> From: William Hubbs <williamh@g.o>
> To: gentoo Accessibility <gentoo-accessibility@g.o>
> Cc: speakup mailing list <speakup@...>
> Sent: Wed, 2 February, 2011 5:30:56 AM
> Subject: [gentoo-accessibility] speakup and 2.6.37 on gentoo
>
> All,
>
> gentoo-sources-2.6.37 is in our tree. I do not know when it will be
> marked stable, but I wanted to go ahead and post a message about the
> upgrade process for speakup users.

> When you configure a 2.6.37 or newer kernel, you will find speakup in
> the staging drivers under device drivers in the menu. Be sure to select
> the speakup core and the synthesizer driver(s) you need. They can either
> be modules or built in.
>
> Once the new kernel is compiled and installed, you should be able to
> boot normally and have speakup start talking.

... snip ... 

Hello List,

Congratulations on finally getting this to staging! 5 years is a lot of 
patience from the developers. So before anything, all users and hackers 
deserve many compliments.

What doers the software synthesizers stack look like now? Is there any 
interest in it being tested or is it no longer a viable option?

It used to look like 
kernel
  |+ speakup.ko with speakup_soft
     |+ speakup_soft with parameter start=1
        |+ espeak installed on system with USE=portaudio
        |+ speakup package installed on system
        |+ speech-dispatcher installed on system
           |+Add speech-dispatcher to a runlevel a
           |+Add espeakup to runlevel a

This worked for a while but stopped in kernel 2..6.32 or so. i tried again 
a few weeks ago, but speech-dispatcher seems to be not working any longer 
on ~amd64. If anyone has any idea what the current stack looks like, i 
would appreciate some pointers. For obvious reasons links websites are 
preferred but if this is still 'in the back room' then perhaps we might 
start something about this on the accessibility project page? 

Depends if there is any interest. 

All the best anyway,
   rdh



References:
speakup and 2.6.37 on gentoo
-- William Hubbs
Navigation:
Lists: gentoo-accessibility: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
speakup and 2.6.37 on gentoo
Next by thread:
Seeking advice on accessibility for low-mobility user
Previous by date:
speakup and 2.6.37 on gentoo
Next by date:
Seeking advice on accessibility for low-mobility user


Updated Mar 01, 2012

Summary: Archive of the gentoo-accessibility mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.